[CalendarServer-changes] [12378] twext/trunk

source_changes at macosforge.org source_changes at macosforge.org
Wed Mar 12 11:19:35 PDT 2014


Revision: 12378
          http://trac.calendarserver.org//changeset/12378
Author:   wsanchez at apple.com
Date:     2014-01-17 11:38:37 -0800 (Fri, 17 Jan 2014)
Log Message:
-----------
Move tools to bin/

Modified Paths:
--------------
    twext/trunk/develop

Added Paths:
-----------
    twext/trunk/bin/pyflakes
    twext/trunk/bin/python
    twext/trunk/bin/test

Removed Paths:
-------------
    twext/trunk/pyflakes
    twext/trunk/python
    twext/trunk/test

Copied: twext/trunk/bin/pyflakes (from rev 12373, twext/trunk/pyflakes)
===================================================================
--- twext/trunk/bin/pyflakes	                        (rev 0)
+++ twext/trunk/bin/pyflakes	2014-01-17 19:38:37 UTC (rev 12378)
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")/.." && pwd -L)";
+
+. "${wd}/develop";
+
+pip install pyflakes --no-use-wheel --upgrade --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log" || true;
+exec "${python}" -m pyflakes "$@";

Copied: twext/trunk/bin/python (from rev 12373, twext/trunk/python)
===================================================================
--- twext/trunk/bin/python	                        (rev 0)
+++ twext/trunk/bin/python	2014-01-17 19:38:37 UTC (rev 12378)
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e
+set -u
+
+wd="$(cd "$(dirname "$0")/.." && pwd)";
+
+. "${wd}/develop";
+
+exec "${python}" "$@";

Copied: twext/trunk/bin/test (from rev 12373, twext/trunk/test)
===================================================================
--- twext/trunk/bin/test	                        (rev 0)
+++ twext/trunk/bin/test	2014-01-17 19:38:37 UTC (rev 12378)
@@ -0,0 +1,147 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+##
+
+set -e;
+set -u;
+
+wd="$(cd "$(dirname "$0")/.." && pwd -L)";
+
+. "${wd}/develop";
+
+##
+# Options
+##
+
+do_setup="false";
+do_get="false";
+
+random="--random=$(date "+%s")";
+no_color="";
+until_fail="";
+coverage="";
+numjobs="";
+reactor="";
+
+if [ "$(uname -s)" == "Darwin" ]; then
+  reactor="--reactor=kqueue";
+fi;
+
+usage ()
+{
+  program="$(basename "$0")";
+
+  if [ "${1--}" != "-" ]; then echo "$@"; echo; fi;
+
+  echo "Usage: ${program} [options]";
+  echo "Options:";
+  echo "        -h  Print this help and exit";
+  echo "        -n  Do not use color";
+  echo "        -o  Do not run tests in random order.";
+  echo "        -r<num>  Use specified seed to determine order.";
+  echo "        -u  Run until the tests fail.";
+  echo "        -c  Generate coverage reports.";
+
+  if [ "${1-}" == "-" ]; then return 0; fi;
+  exit 64;
+}
+
+while getopts "nhoucr:j:" option; do
+  case "${option}" in
+    '?') usage; ;;
+    'h') usage -; exit 0; ;;
+    'o')     random=""; ;;
+    'r')     random="--random=$OPTARG"; ;;
+    'n')  no_color="--reporter=bwverbose"; ;;
+    'u') until_fail="--until-failure"; ;;
+    'c')   coverage="--coverage"; ;;
+    'j')    numjobs="-j $OPTARG"; ;;
+  esac;
+done;
+shift $((${OPTIND} - 1));
+
+if [ $# -gt 0 ]; then
+  test_modules="$@";
+else
+  test_modules="twext";
+fi;
+
+
+##
+# Clean up
+##
+
+find "${wd}" -name \*.pyc -print0 | xargs -0 rm;
+
+
+##
+# Unit tests
+##
+
+cd "${wd}" && "${wd}/bin/trial"    \
+  --temp-directory="${wd}/.trial"  \
+  --rterrors                       \
+  ${reactor}                       \
+  ${random}                        \
+  ${until_fail}                    \
+  ${no_color}                      \
+  ${coverage}                      \
+  ${numjobs}                       \
+  ${test_modules}                  \
+  ;
+
+
+##
+# Linting
+##
+
+echo "";
+echo "Running pyflakes...";
+
+pip install pyflakes --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log";
+tmp="$(mktemp -t "twext_flakes.XXXXX")";
+cd "${wd}" && "${python}" -m pyflakes ${test_modules} | tee "${tmp}" 2>&1;
+if [ -s "${tmp}" ]; then
+  echo "**** Pyflakes says you have some code to clean up. ****";
+  exit 1;
+fi;
+rm -f "${tmp}";
+
+
+##
+# Empty files
+##
+
+echo "";
+echo "Checking for empty files...";
+tmp="$(mktemp -t "twext_test_empty.XXXXX")";
+
+find "${wd}"                                             \
+  '!' '('                                                \
+    -type d                                              \
+    '(' -path '*/.*' -or -name data -or -name build ')'  \
+    -prune                                               \
+  ')'                                                    \
+  -type f -size 0                                        \
+  > "${tmp}";
+
+if [ -s "${tmp}" ]; then
+    echo "**** Empty files: ****";
+    cat "${tmp}";
+    exit 1;
+fi;
+rm -f "${tmp}";

Modified: twext/trunk/develop
===================================================================
--- twext/trunk/develop	2014-01-17 19:34:25 UTC (rev 12377)
+++ twext/trunk/develop	2014-01-17 19:38:37 UTC (rev 12378)
@@ -19,7 +19,9 @@
 set -e
 set -u
 
-wd="$(cd "$(dirname "$0")" && pwd)";
+if [ -z "${wd:-}" ]; then
+  wd="$(cd "$(dirname "$0")" && pwd)";
+fi;
 
 export TWEXT_DEVELOP="true";
 

Deleted: twext/trunk/pyflakes
===================================================================
--- twext/trunk/pyflakes	2014-01-17 19:34:25 UTC (rev 12377)
+++ twext/trunk/pyflakes	2014-01-17 19:38:37 UTC (rev 12378)
@@ -1,27 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-. "${wd}/develop";
-
-pip install pyflakes --no-use-wheel --upgrade --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log" || true;
-exec "${python}" -m pyflakes "$@";

Deleted: twext/trunk/python
===================================================================
--- twext/trunk/python	2014-01-17 19:34:25 UTC (rev 12377)
+++ twext/trunk/python	2014-01-17 19:38:37 UTC (rev 12378)
@@ -1,26 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e
-set -u
-
-wd="$(cd "$(dirname "$0")" && pwd)";
-
-. "${wd}/develop";
-
-exec "${python}" "$@";

Deleted: twext/trunk/test
===================================================================
--- twext/trunk/test	2014-01-17 19:34:25 UTC (rev 12377)
+++ twext/trunk/test	2014-01-17 19:38:37 UTC (rev 12378)
@@ -1,147 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2014 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-##
-
-set -e;
-set -u;
-
-wd="$(cd "$(dirname "$0")" && pwd -L)";
-
-. "${wd}/develop";
-
-##
-# Options
-##
-
-do_setup="false";
-do_get="false";
-
-random="--random=$(date "+%s")";
-no_color="";
-until_fail="";
-coverage="";
-numjobs="";
-reactor="";
-
-if [ "$(uname -s)" == "Darwin" ]; then
-  reactor="--reactor=kqueue";
-fi;
-
-usage ()
-{
-  program="$(basename "$0")";
-
-  if [ "${1--}" != "-" ]; then echo "$@"; echo; fi;
-
-  echo "Usage: ${program} [options]";
-  echo "Options:";
-  echo "        -h  Print this help and exit";
-  echo "        -n  Do not use color";
-  echo "        -o  Do not run tests in random order.";
-  echo "        -r<num>  Use specified seed to determine order.";
-  echo "        -u  Run until the tests fail.";
-  echo "        -c  Generate coverage reports.";
-
-  if [ "${1-}" == "-" ]; then return 0; fi;
-  exit 64;
-}
-
-while getopts "nhoucr:j:" option; do
-  case "${option}" in
-    '?') usage; ;;
-    'h') usage -; exit 0; ;;
-    'o')     random=""; ;;
-    'r')     random="--random=$OPTARG"; ;;
-    'n')  no_color="--reporter=bwverbose"; ;;
-    'u') until_fail="--until-failure"; ;;
-    'c')   coverage="--coverage"; ;;
-    'j')    numjobs="-j $OPTARG"; ;;
-  esac;
-done;
-shift $((${OPTIND} - 1));
-
-if [ $# -gt 0 ]; then
-  test_modules="$@";
-else
-  test_modules="twext";
-fi;
-
-
-##
-# Clean up
-##
-
-find "${wd}" -name \*.pyc -print0 | xargs -0 rm;
-
-
-##
-# Unit tests
-##
-
-cd "${wd}" && "${wd}/bin/trial"    \
-  --temp-directory="${wd}/.trial"  \
-  --rterrors                       \
-  ${reactor}                       \
-  ${random}                        \
-  ${until_fail}                    \
-  ${no_color}                      \
-  ${coverage}                      \
-  ${numjobs}                       \
-  ${test_modules}                  \
-  ;
-
-
-##
-# Linting
-##
-
-echo "";
-echo "Running pyflakes...";
-
-pip install pyflakes --target="${dev_libdir}" > "${dev_root}/pip_pyflakes.log";
-tmp="$(mktemp -t "twext_flakes.XXXXX")";
-cd "${wd}" && "${python}" -m pyflakes ${test_modules} | tee "${tmp}" 2>&1;
-if [ -s "${tmp}" ]; then
-  echo "**** Pyflakes says you have some code to clean up. ****";
-  exit 1;
-fi;
-rm -f "${tmp}";
-
-
-##
-# Empty files
-##
-
-echo "";
-echo "Checking for empty files...";
-tmp="$(mktemp -t "twext_test_empty.XXXXX")";
-
-find "${wd}"                                             \
-  '!' '('                                                \
-    -type d                                              \
-    '(' -path '*/.*' -or -name data -or -name build ')'  \
-    -prune                                               \
-  ')'                                                    \
-  -type f -size 0                                        \
-  > "${tmp}";
-
-if [ -s "${tmp}" ]; then
-    echo "**** Empty files: ****";
-    cat "${tmp}";
-    exit 1;
-fi;
-rm -f "${tmp}";
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20140312/562dd3cd/attachment.html>


More information about the calendarserver-changes mailing list